*--- 2. WilcoxonʘaHodges-Lehmann^̐@ ;

data SAMPLEDATA1 ;
  call streaminit(777) ;
  do TREAT=1 to 2 ;
    do I=1 to 250 ;
      Y =  floor( rand("NORMAL",0,1) + 3*(2-TREAT)*floor(0.15+rand("UNIFORM")) ) ;
      output ;
    end ;
  end ;
run ;

proc means data=SAMPLEDATA1 nonobs n mean median stddev min max maxdec=1;
  class TREAT  ;
  var   Y ;
run ;

proc npar1way data=SAMPLEDATA1 correct=no hl ;
  class TREAT  ;
  var   Y ;
run ;

*************************************************;

*--- 5. vZ ;

data SAMPLEDATA2 ;
  input TREAT Y ;
  cards ;
    2 11
    1 12
    2 13
    1 14
    2 15
    1 16
    1 17
  ;
run ;

proc npar1way data=SAMPLEDATA2 correct=no ;
  class TREAT  ;
  var   Y ;
run ;

proc logistic data=SAMPLEDATA2 ;
  class TREAT ;
  model TREAT=Y ;
  roc ;
run ;

data SAMPLEDATA3 ;
  input TREAT Y ;
  cards ;
    2 11
    1 12
    2 13
    1 13
    2 15
    1 16
    1 17
  ;
run ;

proc npar1way data=SAMPLEDATA3 correct=no ;
  class TREAT  ;
  var   Y ;
run ;

proc logistic data=SAMPLEDATA3 ;
  class TREAT ;
  model TREAT=Y ;
  roc ;
run ;

data SAMPLEDATA4 ;
  set SAMPLEDATA2 ;
  TREAT=3-TREAT ; *--- ^Q̓ւ ;
run ;

proc logistic data=SAMPLEDATA4 ;
  class TREAT ;
  model TREAT=Y ;
  roc ;
run ;

%macro WMWodds(_DATASET, _GROUP, _Y) ;
  ods listing close ;
  
  proc npar1way data=&_DATASET. correct=no ;
    class &_GROUP.  ;
    var   &_Y. ;
    ods output WilcoxonScores=WS(keep=Class SumOfScores) ;
  run ;
  
  proc transpose data=WS out=FLAG prefix=WSCORE_ ;
    var SumOfScores ;
    id  CLASS ;
  run ;
  
  data _NULL_ ;
    set FLAG ;
    if (WSCORE_1 >= WSCORE_2) then call symput("_FLAG",1) ;
    else                           call symput("_FLAG",2) ;
  run ;
  
  proc logistic data=&_DATASET. ;
    class &_GROUP. ;
    model &_GROUP.=&_Y. ;
    roc ;
    ods output ROCAssociation=AUROC ;
  run ;
  
  ods listing ;
  
  data WMWODDS ;
    set AUROC ;
    if (&_FLAG=1) then do ;
      WMWOdds=Area/(1-Area) ;
      SE     =StdErr/(1-Area)**2 ;
      LnWMW  =log(Area/(1-Area)) ;
      LnSE   =StdErr/(Area*(1-Area)) ;
    end ;
    else do ;
      WMWOdds=(1-Area)/Area ;
      SE     =StdErr/Area**2 ;
      LnWMW  =log((1-Area)/Area) ;
      LnSE   =StdErr/(Area*(1-Area)) ;
    end ;
  
    z          =quantile("NORMAL",0.975) ;
    LowerCI    =WMWOdds   - z*SE ;
    UpperCI    =WMWOdds   + z*SE ;
    LowerCI_exp=exp(LnWMW - z*LnSE) ;
    UpperCI_exp=exp(LnWMW + z*LnSE) ;
  
    if _n_=1;
    keep Area StdErr WMWOdds SE LowerCI UpperCI LowerCI_exp UpperCI_exp ;
  run ;
  
  title "&_DATASET." ;
  proc print noobs ;
  run ;
%mend ;

%WMWodds(SAMPLEDATA2, TREAT, Y) ;   *--- \5.1 ;

%WMWodds(SAMPLEDATA3, TREAT, Y) ;   *--- \5.2 ;

%WMWodds(SAMPLEDATA1, TREAT, Y) ;

*************************************************;

*--- 6. WMWoddsHodges-Lehmannɂ鐄@̔r@ ;

%macro WMWodds_simulation(_DATASET, _GROUP, _Y, _PRINT="Yes") ;
  ods listing close ;

  proc npar1way data=&_DATASET. correct=no hl ;
    class &_GROUP.  ;
    var   &_Y. ;
    ods output WilcoxonScores   =WS(keep=Class SumOfScores) 
               KruskalWallisTest=WC(where=(Name1="P_KW")) 
               HodgesLehmann    =HL(keep=Shift LowerCL UpperCL rename=(Shift=HL LowerCL=HL_LCL UpperCL=HL_UCL)) ;
  run ;
  
  proc transpose data=WS out=FLAG prefix=WSCORE_ ;
    var SumOfScores ;
    id  CLASS ;
  run ;
  
  data _NULL_ ;
    set FLAG ;
    if (WSCORE_1 >= WSCORE_2) then call symput("_FLAG",1) ;
    else                           call symput("_FLAG",2) ;
  run ;
  
  proc logistic data=&_DATASET. ;
    class &_GROUP. ;
    model &_GROUP.=&_Y. ;
    roc ;
    ods output ROCAssociation=AUROC ;
  run ;
  
  ods listing ;
  
  data WMWODDS ;
    set AUROC ;
    if (&_FLAG=1) then do ;
      WMWOdds=Area/(1-Area) ;
      SE     =StdErr/(1-Area)**2 ;
      LnWMW  =log(Area/(1-Area)) ;
      LnSE   =StdErr/(Area*(1-Area)) ;
    end ;
    else do ;
      WMWOdds=(1-Area)/Area ;
      SE     =StdErr/Area**2 ;
      LnWMW  =log((1-Area)/Area) ;
      LnSE   =StdErr/(Area*(1-Area)) ;
    end ;
  
    z          =quantile("NORMAL",0.975) ;
    LowerCI_exp=exp(LnWMW - z*LnSE) ;
    UpperCI_exp=exp(LnWMW + z*LnSE) ;
  
    if _n_=1;
    keep WMWOdds LowerCI_exp UpperCI_exp ;
  run ;

  data RESULT ;
    merge WC(keep=nValue1 rename=(nValue1=p)) HL WMWODDS ;
  run ;

  %if &_PRINT.="Yes" %then %do ;
    title "&_DATASET." ;
    proc print noobs ;
    run ;
  %end ;
%mend ;

*****************************;

%macro MAKE_NORM(_N, _PERM) ;
  data SAMPLE_NORM ;
    call streaminit(777) ;
    do TREAT=1 to 2 ;
      do I=1 to &_N. ;
        Y = rand("NORMAL", 0, &_PERM.) - TREAT ;
        B = floor(Y) ;
        output ;
      end ;
    end ;
  run ;
%mend;
%MAKE_NORM(250, 4.88) ; %WMWodds_simulation(SAMPLE_NORM, TREAT, Y) ;
%MAKE_NORM(250, 4.92) ; %WMWodds_simulation(SAMPLE_NORM, TREAT, Y) ;
%MAKE_NORM(250, 4.94) ; %WMWodds_simulation(SAMPLE_NORM, TREAT, Y) ;
%MAKE_NORM(250, 4.96) ; %WMWodds_simulation(SAMPLE_NORM, TREAT, Y) ;

*****************************;

%macro MAKE_EXPO(_N, _PERM) ;
  data SAMPLE_EXPO ;
    call streaminit(777) ;
    do TREAT=1 to 2 ;
      do I=1 to &_N. ;
        Y = &_PERM.*rand("EXPONENTIAL") - TREAT ;
        B = floor(Y) ;
        output ;
      end ;
    end ;
  run ;
%mend;
%MAKE_EXPO(250, 9.630) ; %WMWodds_simulation(SAMPLE_EXPO, TREAT, Y) ;
%MAKE_EXPO(250, 9.635) ; %WMWodds_simulation(SAMPLE_EXPO, TREAT, Y) ;
%MAKE_EXPO(250, 9.648) ; %WMWodds_simulation(SAMPLE_EXPO, TREAT, Y) ;
%MAKE_EXPO(250, 9.700) ; %WMWodds_simulation(SAMPLE_EXPO, TREAT, Y) ;

*****************************;

%macro MAKE_POIS(_N, _PERM) ;
  data SAMPLE_POIS ;
    call streaminit(777) ;
    do TREAT=1 to 2 ;
      do I=1 to &_N. ;
        Y = rand("POISSON", &_PERM.) - TREAT ;
        output ;
      end ;
    end ;
  run ;
%mend;
%MAKE_POIS(250, 19.567) ; %WMWodds_simulation(SAMPLE_POIS, TREAT, Y) ;
%MAKE_POIS(250, 19.569) ; %WMWodds_simulation(SAMPLE_POIS, TREAT, Y) ;
%MAKE_POIS(250, 19.580) ; %WMWodds_simulation(SAMPLE_POIS, TREAT, Y) ;
%MAKE_POIS(250, 19.590) ; %WMWodds_simulation(SAMPLE_POIS, TREAT, Y) ;

*****************************;

%macro MAKE_NBIN(_N, _PERM) ;
  data SAMPLE_NBIN ;
    call streaminit(777) ;
    do TREAT=1 to 2 ;
      do I=1 to &_N. ;
        Y = rand("NEGBINOMIAL", &_PERM., 20) - TREAT ;
        output ;
      end ;
    end ;
  run ;
%mend;
%MAKE_NBIN(250, 0.24512) ; %WMWodds_simulation(SAMPLE_NBIN, TREAT, Y) ;
%MAKE_NBIN(250, 0.24500) ; %WMWodds_simulation(SAMPLE_NBIN, TREAT, Y) ;
%MAKE_NBIN(250, 0.24505) ; %WMWodds_simulation(SAMPLE_NBIN, TREAT, Y) ;
%MAKE_NBIN(250, 0.24506) ; %WMWodds_simulation(SAMPLE_NBIN, TREAT, Y) ;

*****************************;

%MAKE_NORM(250, 4.88) ; %WMWodds_simulation(SAMPLE_NORM, TREAT, B) ;
%MAKE_NORM(250, 4.92) ; %WMWodds_simulation(SAMPLE_NORM, TREAT, B) ;
%MAKE_NORM(250, 4.94) ; %WMWodds_simulation(SAMPLE_NORM, TREAT, B) ;
%MAKE_NORM(250, 4.96) ; %WMWodds_simulation(SAMPLE_NORM, TREAT, B) ;

%MAKE_EXPO(250, 9.630) ; %WMWodds_simulation(SAMPLE_EXPO, TREAT, B) ;
%MAKE_EXPO(250, 9.635) ; %WMWodds_simulation(SAMPLE_EXPO, TREAT, B) ;
%MAKE_EXPO(250, 9.648) ; %WMWodds_simulation(SAMPLE_EXPO, TREAT, B) ;
%MAKE_EXPO(250, 9.700) ; %WMWodds_simulation(SAMPLE_EXPO, TREAT, B) ;

*************************************************;

*--- 7. WMWoddsHodges-Lehmannɂ鐄@̔rA ;

%macro WMWodds_coverage_norm(_N, _SD, _ITER,_OUTDATA) ;
  options nosource nonotes ; 
  proc datasets lib=work nodetails nolist ;
    delete RESULT_ALL ;
  run ;

  %let _I=1 ;
  %do %while (&_I<=&_ITER) ;
    data SAMPLE_NORM ;
      call streaminit(&_N.*100000+&_SD.*10000+&_I.) ;
      do TREAT=1 to 2 ;
        do I=1 to &_N. ;
          Y = rand("NORMAL", 0, &_SD.) ;
          output ;
        end ;
      end ;
    run ;
    %WMWodds_simulation(SAMPLE_NORM, TREAT, Y, _PRINT="No") ;

    proc append base=RESULT_ALL data=RESULT force ; run ;
    %let _I=%eval(&_I.+1) ;
  %end;
  options source notes ; 

  data &_OUTDATA. ;
    set RESULT_ALL ;
    if (HL_LCL      <= 0 <= HL_UCL)      then HL_COVER =1 ; else HL_COVER =0 ;
    if (p >= 0.05 and HL_COVER = 0)      then HL_ERROR =1 ; else HL_ERROR =0 ;
    if (LowerCI_exp <= 1 <= UpperCI_exp) then WMW_COVER=1 ; else WMW_COVER=0 ;
    if (p >= 0.05 and WMW_COVER = 0)     then WMW_ERROR=1 ; else WMW_ERROR=0 ;
  run ;
%mend;

%WMWodds_coverage_norm( 10,1,5000,COVER_NORM1_010) ;
%WMWodds_coverage_norm( 20,1,5000,COVER_NORM1_020) ;
%WMWodds_coverage_norm( 50,1,5000,COVER_NORM1_050) ;
%WMWodds_coverage_norm(100,1,5000,COVER_NORM1_100) ;
%WMWodds_coverage_norm(200,1,5000,COVER_NORM1_200) ;

%WMWodds_coverage_norm( 10,5,5000,COVER_NORM5_010) ;
%WMWodds_coverage_norm( 20,5,5000,COVER_NORM5_020) ;
%WMWodds_coverage_norm( 50,5,5000,COVER_NORM5_050) ;
%WMWodds_coverage_norm(100,5,5000,COVER_NORM5_100) ;
%WMWodds_coverage_norm(200,5,5000,COVER_NORM5_200) ;

%WMWodds_coverage_norm( 10,9,5000,COVER_NORM9_010) ;
%WMWodds_coverage_norm( 20,9,5000,COVER_NORM9_020) ;
%WMWodds_coverage_norm( 50,9,5000,COVER_NORM9_050) ;
%WMWodds_coverage_norm(100,9,5000,COVER_NORM9_100) ;
%WMWodds_coverage_norm(200,9,5000,COVER_NORM9_200) ;



%macro WMWodds_coverage_expo(_N, _PERM, _ITER,_OUTDATA) ;
  options nosource nonotes ; 
  proc datasets lib=work nodetails nolist ;
    delete RESULT_ALL ;
  run ;

  %let _I=1 ;
  %do %while (&_I<=&_ITER) ;
    data SAMPLE_EXPO ;
      call streaminit(&_N.*100000+&_PERM.*10000+&_I.) ;
      do TREAT=1 to 2 ;
        do I=1 to &_N. ;
          Y = &_PERM.*rand("EXPONENTIAL") ;
          output ;
        end ;
      end ;
    run ;
    %WMWodds_simulation(SAMPLE_EXPO, TREAT, Y, _PRINT="No") ;

    proc append base=RESULT_ALL data=RESULT force ; run ;
    %let _I=%eval(&_I.+1) ;
  %end;
  options source notes ; 

  data &_OUTDATA. ;
    set RESULT_ALL ;
    if (HL_LCL      <= 0 <= HL_UCL)      then HL_COVER =1 ; else HL_COVER =0 ;
    if (p >= 0.05 and HL_COVER = 0)      then HL_ERROR =1 ; else HL_ERROR =0 ;
    if (LowerCI_exp <= 1 <= UpperCI_exp) then WMW_COVER=1 ; else WMW_COVER=0 ;
    if (p >= 0.05 and WMW_COVER = 0)     then WMW_ERROR=1 ; else WMW_ERROR=0 ;
  run ;
%mend;

%WMWodds_coverage_expo( 10,1,5000,COVER_EXPO1_010) ;
%WMWodds_coverage_expo( 20,1,5000,COVER_EXPO1_020) ;
%WMWodds_coverage_expo( 50,1,5000,COVER_EXPO1_050) ;
%WMWodds_coverage_expo(100,1,5000,COVER_EXPO1_100) ;
%WMWodds_coverage_expo(200,1,5000,COVER_EXPO1_200) ;
                             
%WMWodds_coverage_expo( 10,5,5000,COVER_EXPO5_010) ;
%WMWodds_coverage_expo( 20,5,5000,COVER_EXPO5_020) ;
%WMWodds_coverage_expo( 50,5,5000,COVER_EXPO5_050) ;
%WMWodds_coverage_expo(100,5,5000,COVER_EXPO5_100) ;
%WMWodds_coverage_expo(200,5,5000,COVER_EXPO5_200) ;
                             
%WMWodds_coverage_expo( 10,9,5000,COVER_EXPO9_010) ;
%WMWodds_coverage_expo( 20,9,5000,COVER_EXPO9_020) ;
%WMWodds_coverage_expo( 50,9,5000,COVER_EXPO9_050) ;
%WMWodds_coverage_expo(100,9,5000,COVER_EXPO9_100) ;
%WMWodds_coverage_expo(200,9,5000,COVER_EXPO9_200) ;



%macro WMWodds_coverage_pois(_N, _PERM, _ITER,_OUTDATA) ;
  options nosource nonotes ; 
  proc datasets lib=work nodetails nolist ;
    delete RESULT_ALL ;
  run ;

  %let _I=1 ;
  %do %while (&_I<=&_ITER) ;
    data SAMPLE_POIS ;
      call streaminit(&_N.*100000+&_PERM.*10000+&_I.) ;
      do TREAT=1 to 2 ;
        do I=1 to &_N. ;
          Y = rand("POISSON", &_PERM.) ;
          output ;
        end ;
      end ;
    run ;
    %WMWodds_simulation(SAMPLE_POIS, TREAT, Y, _PRINT="No") ;

    proc append base=RESULT_ALL data=RESULT force ; run ;
    %let _I=%eval(&_I.+1) ;
  %end;
  options source notes ; 

  data &_OUTDATA. ;
    set RESULT_ALL ;
    if (HL_LCL      <= 0 <= HL_UCL)      then HL_COVER =1 ; else HL_COVER =0 ;
    if (p >= 0.05 and HL_COVER = 0)      then HL_ERROR =1 ; else HL_ERROR =0 ;
    if (LowerCI_exp <= 1 <= UpperCI_exp) then WMW_COVER=1 ; else WMW_COVER=0 ;
    if (p >= 0.05 and WMW_COVER = 0)     then WMW_ERROR=1 ; else WMW_ERROR=0 ;
  run ;
%mend;

%WMWodds_coverage_pois( 10,1,5000,COVER_POIS1_010) ;
%WMWodds_coverage_pois( 20,1,5000,COVER_POIS1_020) ;
%WMWodds_coverage_pois( 50,1,5000,COVER_POIS1_050) ;
%WMWodds_coverage_pois(100,1,5000,COVER_POIS1_100) ;
%WMWodds_coverage_pois(200,1,5000,COVER_POIS1_200) ;
                                           
%WMWodds_coverage_pois( 10,5,5000,COVER_POIS5_010) ;
%WMWodds_coverage_pois( 20,5,5000,COVER_POIS5_020) ;
%WMWodds_coverage_pois( 50,5,5000,COVER_POIS5_050) ;
%WMWodds_coverage_pois(100,5,5000,COVER_POIS5_100) ;
%WMWodds_coverage_pois(200,5,5000,COVER_POIS5_200) ;
                                           
%WMWodds_coverage_pois( 10,9,5000,COVER_POIS9_010) ;
%WMWodds_coverage_pois( 20,9,5000,COVER_POIS9_020) ;
%WMWodds_coverage_pois( 50,9,5000,COVER_POIS9_050) ;
%WMWodds_coverage_pois(100,9,5000,COVER_POIS9_100) ;
%WMWodds_coverage_pois(200,9,5000,COVER_POIS9_200) ;



%macro WMWodds_coverage_nbin(_N, _P, _PERM, _ITER,_OUTDATA) ;
  options nosource nonotes ; 
  proc datasets lib=work nodetails nolist ;
    delete RESULT_ALL ;
  run ;

  %let _I=1 ;
  %do %while (&_I<=&_ITER) ;
    data SAMPLE_NBIN ;
      call streaminit(&_N.*1000000+&_P.*10000000+&_PERM.*10000+&_I.) ;
      do TREAT=1 to 2 ;
        do I=1 to &_N. ;
          Y = rand("NEGBINOMIAL", &_P., &_PERM.) ;
          output ;
        end ;
      end ;
    run ;
    %WMWodds_simulation(SAMPLE_NBIN, TREAT, Y, _PRINT="No") ;

    proc append base=RESULT_ALL data=RESULT force ; run ;
    %let _I=%eval(&_I.+1) ;
  %end;
  options source notes ; 

  data &_OUTDATA ;
    set RESULT_ALL ;
    if (HL_LCL      <= 0 <= HL_UCL)      then HL_COVER =1 ; else HL_COVER =0 ;
    if (p >= 0.05 and HL_COVER = 0)      then HL_ERROR =1 ; else HL_ERROR =0 ;
    if (LowerCI_exp <= 1 <= UpperCI_exp) then WMW_COVER=1 ; else WMW_COVER=0 ;
    if (p >= 0.05 and WMW_COVER = 0)     then WMW_ERROR=1 ; else WMW_ERROR=0 ;
  run ;
%mend;

%WMWodds_coverage_nbin( 10,0.25,1,5000,COVER_NBIN_25_1_010) ;
%WMWodds_coverage_nbin( 20,0.25,1,5000,COVER_NBIN_25_1_020) ;
%WMWodds_coverage_nbin( 50,0.25,1,5000,COVER_NBIN_25_1_050) ;
%WMWodds_coverage_nbin(100,0.25,1,5000,COVER_NBIN_25_1_100) ;
%WMWodds_coverage_nbin(200,0.25,1,5000,COVER_NBIN_25_1_200) ;
                                                    
%WMWodds_coverage_nbin( 10,0.25,5,5000,COVER_NBIN_25_5_010) ;
%WMWodds_coverage_nbin( 20,0.25,5,5000,COVER_NBIN_25_5_020) ;
%WMWodds_coverage_nbin( 50,0.25,5,5000,COVER_NBIN_25_5_050) ;
%WMWodds_coverage_nbin(100,0.25,5,5000,COVER_NBIN_25_5_100) ;
%WMWodds_coverage_nbin(200,0.25,5,5000,COVER_NBIN_25_5_200) ;
                                                    
%WMWodds_coverage_nbin( 10,0.25,9,5000,COVER_NBIN_25_9_010) ;
%WMWodds_coverage_nbin( 20,0.25,9,5000,COVER_NBIN_25_9_020) ;
%WMWodds_coverage_nbin( 50,0.25,9,5000,COVER_NBIN_25_9_050) ;
%WMWodds_coverage_nbin(100,0.25,9,5000,COVER_NBIN_25_9_100) ;
%WMWodds_coverage_nbin(200,0.25,9,5000,COVER_NBIN_25_9_200) ;
                                                     
%WMWodds_coverage_nbin( 10,0.50,1,5000,COVER_NBIN_50_1_010) ;
%WMWodds_coverage_nbin( 20,0.50,1,5000,COVER_NBIN_50_1_020) ;
%WMWodds_coverage_nbin( 50,0.50,1,5000,COVER_NBIN_50_1_050) ;
%WMWodds_coverage_nbin(100,0.50,1,5000,COVER_NBIN_50_1_100) ;
%WMWodds_coverage_nbin(200,0.50,1,5000,COVER_NBIN_50_1_200) ;
                                                    
%WMWodds_coverage_nbin( 10,0.50,5,5000,COVER_NBIN_50_5_010) ;
%WMWodds_coverage_nbin( 20,0.50,5,5000,COVER_NBIN_50_5_020) ;
%WMWodds_coverage_nbin( 50,0.50,5,5000,COVER_NBIN_50_5_050) ;
%WMWodds_coverage_nbin(100,0.50,5,5000,COVER_NBIN_50_5_100) ;
%WMWodds_coverage_nbin(200,0.50,5,5000,COVER_NBIN_50_5_200) ;
                                                    
%WMWodds_coverage_nbin( 10,0.50,9,5000,COVER_NBIN_50_9_010) ;
%WMWodds_coverage_nbin( 20,0.50,9,5000,COVER_NBIN_50_9_020) ;
%WMWodds_coverage_nbin( 50,0.50,9,5000,COVER_NBIN_50_9_050) ;
%WMWodds_coverage_nbin(100,0.50,9,5000,COVER_NBIN_50_9_100) ;
%WMWodds_coverage_nbin(200,0.50,9,5000,COVER_NBIN_50_9_200) ;
                                                     
%WMWodds_coverage_nbin( 10,0.75,1,5000,COVER_NBIN_75_1_010) ;
%WMWodds_coverage_nbin( 20,0.75,1,5000,COVER_NBIN_75_1_020) ;
%WMWodds_coverage_nbin( 50,0.75,1,5000,COVER_NBIN_75_1_050) ;
%WMWodds_coverage_nbin(100,0.75,1,5000,COVER_NBIN_75_1_100) ;
%WMWodds_coverage_nbin(200,0.75,1,5000,COVER_NBIN_75_1_200) ;
                                                    
%WMWodds_coverage_nbin( 10,0.75,5,5000,COVER_NBIN_75_5_010) ;
%WMWodds_coverage_nbin( 20,0.75,5,5000,COVER_NBIN_75_5_020) ;
%WMWodds_coverage_nbin( 50,0.75,5,5000,COVER_NBIN_75_5_050) ;
%WMWodds_coverage_nbin(100,0.75,5,5000,COVER_NBIN_75_5_100) ;
%WMWodds_coverage_nbin(200,0.75,5,5000,COVER_NBIN_75_5_200) ;
                                                    
%WMWodds_coverage_nbin( 10,0.75,9,5000,COVER_NBIN_75_9_010) ;
%WMWodds_coverage_nbin( 20,0.75,9,5000,COVER_NBIN_75_9_020) ;
%WMWodds_coverage_nbin( 50,0.75,9,5000,COVER_NBIN_75_9_050) ;
%WMWodds_coverage_nbin(100,0.75,9,5000,COVER_NBIN_75_9_100) ;
%WMWodds_coverage_nbin(200,0.75,9,5000,COVER_NBIN_75_9_200) ;



%macro my_summary(_DATASET) ;
  title "&_DATASET." ;
  proc means data=&_DATASET. nonobs n mean ;
    var HL_COVER HL_ERROR WMW_COVER WMW_ERROR ;
  run ;
%mend ;

%my_summary(COVER_NORM1_010) ;
%my_summary(COVER_NORM1_020) ;
%my_summary(COVER_NORM1_050) ;
%my_summary(COVER_NORM1_100) ;
%my_summary(COVER_NORM1_200) ;
            
%my_summary(COVER_NORM5_010) ;
%my_summary(COVER_NORM5_020) ;
%my_summary(COVER_NORM5_050) ;
%my_summary(COVER_NORM5_100) ;
%my_summary(COVER_NORM5_200) ;
            
%my_summary(COVER_NORM9_010) ;
%my_summary(COVER_NORM9_020) ;
%my_summary(COVER_NORM9_050) ;
%my_summary(COVER_NORM9_100) ;
%my_summary(COVER_NORM9_200) ;

%my_summary(COVER_EXPO1_010) ;
%my_summary(COVER_EXPO1_020) ;
%my_summary(COVER_EXPO1_050) ;
%my_summary(COVER_EXPO1_100) ;
%my_summary(COVER_EXPO1_200) ;
            
%my_summary(COVER_EXPO5_010) ;
%my_summary(COVER_EXPO5_020) ;
%my_summary(COVER_EXPO5_050) ;
%my_summary(COVER_EXPO5_100) ;
%my_summary(COVER_EXPO5_200) ;
            
%my_summary(COVER_EXPO9_010) ;
%my_summary(COVER_EXPO9_020) ;
%my_summary(COVER_EXPO9_050) ;
%my_summary(COVER_EXPO9_100) ;
%my_summary(COVER_EXPO9_200) ;

%my_summary(COVER_POIS1_010) ;
%my_summary(COVER_POIS1_020) ;
%my_summary(COVER_POIS1_050) ;
%my_summary(COVER_POIS1_100) ;
%my_summary(COVER_POIS1_200) ;
                      
%my_summary(COVER_POIS5_010) ;
%my_summary(COVER_POIS5_020) ;
%my_summary(COVER_POIS5_050) ;
%my_summary(COVER_POIS5_100) ;
%my_summary(COVER_POIS5_200) ;
                      
%my_summary(COVER_POIS9_010) ;
%my_summary(COVER_POIS9_020) ;
%my_summary(COVER_POIS9_050) ;
%my_summary(COVER_POIS9_100) ;
%my_summary(COVER_POIS9_200) ;

%my_summary(COVER_NBIN_25_1_010) ;
%my_summary(COVER_NBIN_25_1_020) ;
%my_summary(COVER_NBIN_25_1_050) ;
%my_summary(COVER_NBIN_25_1_100) ;
%my_summary(COVER_NBIN_25_1_200) ;
                          
%my_summary(COVER_NBIN_25_5_010) ;
%my_summary(COVER_NBIN_25_5_020) ;
%my_summary(COVER_NBIN_25_5_050) ;
%my_summary(COVER_NBIN_25_5_100) ;
%my_summary(COVER_NBIN_25_5_200) ;
                          
%my_summary(COVER_NBIN_25_9_010) ;
%my_summary(COVER_NBIN_25_9_020) ;
%my_summary(COVER_NBIN_25_9_050) ;
%my_summary(COVER_NBIN_25_9_100) ;
%my_summary(COVER_NBIN_25_9_200) ;
                          
%my_summary(COVER_NBIN_50_1_010) ;
%my_summary(COVER_NBIN_50_1_020) ;
%my_summary(COVER_NBIN_50_1_050) ;
%my_summary(COVER_NBIN_50_1_100) ;
%my_summary(COVER_NBIN_50_1_200) ;
                          
%my_summary(COVER_NBIN_50_5_010) ;
%my_summary(COVER_NBIN_50_5_020) ;
%my_summary(COVER_NBIN_50_5_050) ;
%my_summary(COVER_NBIN_50_5_100) ;
%my_summary(COVER_NBIN_50_5_200) ;
                          
%my_summary(COVER_NBIN_50_9_010) ;
%my_summary(COVER_NBIN_50_9_020) ;
%my_summary(COVER_NBIN_50_9_050) ;
%my_summary(COVER_NBIN_50_9_100) ;
%my_summary(COVER_NBIN_50_9_200) ;
                          
%my_summary(COVER_NBIN_75_1_010) ;
%my_summary(COVER_NBIN_75_1_020) ;
%my_summary(COVER_NBIN_75_1_050) ;
%my_summary(COVER_NBIN_75_1_100) ;
%my_summary(COVER_NBIN_75_1_200) ;
                          
%my_summary(COVER_NBIN_75_5_010) ;
%my_summary(COVER_NBIN_75_5_020) ;
%my_summary(COVER_NBIN_75_5_050) ;
%my_summary(COVER_NBIN_75_5_100) ;
%my_summary(COVER_NBIN_75_5_200) ;
                          
%my_summary(COVER_NBIN_75_9_010) ;
%my_summary(COVER_NBIN_75_9_020) ;
%my_summary(COVER_NBIN_75_9_050) ;
%my_summary(COVER_NBIN_75_9_100) ;
%my_summary(COVER_NBIN_75_9_200) ;
